Bug 383601 - xulrunners' libmozjs.so not found by applications built against xulrunner-js
xulrunners' libmozjs.so not found by applications built against xulrunner-js
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xulrunner (Show other bugs)
rawhide
All Linux
medium Severity high
: ---
: ---
Assigned To: Martin Stransky
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-14 18:38 EST by Martin Sourada
Modified: 2007-11-30 17:12 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-19 07:43:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Sourada 2007-11-14 18:38:33 EST
Description of problem:
Applications that are built against xulrunner-js have problems with loading
libmozjs.so and as a result print an error which say that it cannot be found.

Version-Release number of selected component (if applicable):
xulrunner-1.9-0.alpha9.{2,4}.fc9

How reproducible:
Always

Steps to Reproduce:
1. download latest devel srpm of gxine
2. edit the specfile so that it uses xulrunner-js instead of libjs (set %define
use_xulrunner_js 1)
3. rebuild and install
4. run gxine from terminal
  
Actual results:
gxine: error while loading shared libraries: libmozjs.so: cannot open shared
object file: No such file or directory

Expected results:
gxine loads

Additional info:
I tested it also with latest mercurial snapshot of gxine, I suppose the problem
would be same with other applications using libmozjs.so as well.
Comment 1 Martin Stransky 2007-11-15 06:28:19 EST
This problem should be fixed in gxine configure script. All gecko-libs based
packages set rpath gcc variable to library what are linked against.

There's an example from epiphany configure script:

_GECKO_HOME="`$PKG_CONFIG --variable=libdir ${gecko_cv_gecko}-xpcom`"

...

LDFLAGS="$LDFLAGS $_GECKO_EXTRA_LDFLAGS -Wl,--rpath=$_GECKO_HOME"

Comment 2 Martin Stransky 2007-11-15 07:36:44 EST
We well register gecko-libs system-wide so you don't have to hack your configure
scripts with the --rpath. It should work out of the box in the new xulrunner
spin in rawhide.
Comment 3 Martin Stransky 2007-11-15 12:24:14 EST
Should be fixed in xulrunner-1.9-0.alpha9.5.fc9

Note You need to log in before you can comment on or make changes to this bug.